SkyPoster helps you write useful and SEO-optimized content through AI, focusing on your keyword phrases.

## Instructions

### Quick Start
Enter the keyword phrases suitable for your site in Section 1 "Topic of the posts".
One per line.
Within each keyword phrase, if needed, you can specify detailed instructions on how and what the article should be about, which facts to use, or style.
Do not confuse the individual style for each article, which is inserted here, with the general style for all articles, which you can configure later.

An article will be written for each specified keyword phrase.

**Now you can go to the last section of the plugin and click Generate**.
The plugin will start writing articles and, as it writes them, it will display a link to each in the field below. This may take a few minutes (depending on the number of articles).

Articles will be added to the *Drafts* section (by default) for your editing, approval, and publication.

With standard settings, it writes good texts. But often you want to improve the articles, enhance them with formatting and special styling. So, let's go through additional features.

### Choosing a Topic and Keywords

#### Keyword Details
Within each keyword phrase, you can specify detailed instructions on how and what the article should be about, which facts to use, or style. You can also specify meta-tags, title, and more using a semicolon;
Do not confuse the individual style for the keyword phrase, which is inserted here, with the general style for all articles, which you can configure later.

Formats:
``` 
1) keyword 
2) keyword; article description and style; title; h1; meta description
```
Any number of parameters are supported. You can write


```
1) keyword; article description and style
```


#### Loading from CSV File

Loading from any CSV is supported, including export from Google Keyplanner and Yandex Wordstat.

#### Keyword Generation
In Section 1, there is a second block with keyword generation.
You can enter the theme of your site and the number of keywords you need, and click "Create keywords" so it can come up with useful articles for your site.

### Posting Settings

#### Article Parameters
You can choose:

* AI model that will create the texts
* Add the article to Drafts or Publish immediately
* Which category to add to
* Article author (from site users)
* Article language: can be useful when your keywords are in one language, but you want the article in your site's language. By default, it uses your site's language.

#### Structure of Sections for All Articles
Let's say you are writing texts about cat breeds. For each breed, you would like to see: country of origin, history, character description.

You can specify these sections in Section 2 and ALL articles will strictly adhere to this structure.

**Leaving the field with sections empty, SkyPoster will create them automatically, unique for each article.**

### Formatting Articles, Quality Improvement, and Testing

In Section 3, you can specify a general style **for all articles**. Or other instructions. Here it is useful to specify where to use tables, code blocks, bold certain theses, etc. You can also add any other instructions in free form.

By clicking "Generate example article" - you can see what comes out on the example of one article before you want to run the generation on all keyword phrases.

### Generation

Everything is ready! You can click Generate, and it will start writing articles, adding a link to new ones at the top.

To start generating, you only need one keyword phrase, everything else works with default settings automatically.
